Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ParamDictionary Class Reference

Class to hold a dictionary of parameters for a single class. More...

`#include <OgreStringInterface.h>`

List of all members.

## Public Methods

| ParamDictionary ()
void | addParameter (const ParameterDef &paramDef, ParamCommand *paramCmd)
| Method for adding a parameter definition for this class.
const ParameterList & | getParameters (void) const
| Retrieves a list of parameters valid for this object.

## Protected Methods

ParamCommand * | getParamCommand (const String &name)
| Retrieves the parameter command object for a named parameter.
const ParamCommand * | getParamCommand (const String &name) const

## Protected Attributes

ParameterList | mParamDefs
| Definitions of parameters.
ParamCommandMap | mParamCommands
| Command objects to get/set.

## Friends

class | StringInterface

## Detailed Description

Class to hold a dictionary of parameters for a single class.

Definition at line 76 of file OgreStringInterface.h.

## Constructor & Destructor Documentation

Ogre::ParamDictionary::ParamDictionary | ( |  | ) |

| Definition at line 113 of file OgreStringInterface.h.

## Member Function Documentation

void Ogre::ParamDictionary::addParameter | ( | const ParameterDef & | paramDef,
|  | ParamCommand * | paramCmd
| ) |

Method for adding a parameter definition for this class.

Parameters:

  paramDef | A ParameterDef object defining the parameter
  paramCmd | Pointer to a ParamCommand subclass to handle the getting / setting of this parameter. NB this class will not destroy this on shutdown, please ensure you do

Definition at line 120 of file OgreStringInterface.h.

References Ogre::ParameterDef::name.

Referenced by Ogre::TTYGuiElement::addBaseParameters(), Ogre::TextBoxGuiElement::addBaseParameters(), Ogre::TextAreaGuiElement::addBaseParameters(), Ogre::ScrollBarGuiElement::addBaseParameters(), Ogre::PopupMenuGuiElement::addBaseParameters(), Ogre::ParticleEmitter::addBaseParameters(), Ogre::PanelGuiElement::addBaseParameters(), Ogre::ListGuiElement::addBaseParameters(), Ogre::GuiElement::addBaseParameters(), Ogre::CursorGuiElement::addBaseParameters(), Ogre::ButtonGuiElement::addBaseParameters(), Ogre::BorderPanelGuiElement::addBaseParameters(), Ogre::BorderButtonGuiElement::addBaseParameters(), Ogre::ExternalTextureSource::addBaseParams(), Ogre::CgProgram::CgProgram(), Ogre::ColourFaderAffector::ColourFaderAffector(), Ogre::ColourFaderAffector2::ColourFaderAffector2(), Ogre::ColourImageAffector::ColourImageAffector(), Ogre::ColourInterpolatorAffector::ColourInterpolatorAffector(), Ogre::D3D9HLSLProgram::D3D9HLSLProgram(), Ogre::GLSLProgram::GLSLProgram(), Ogre::HollowEllipsoidEmitter::HollowEllipsoidEmitter(), Ogre::AreaEmitter::initDefaults(), Ogre::ParticleSystem::initParameters(), Ogre::LinearForceAffector::LinearForceAffector(), Ogre::RingEmitter::RingEmitter(), Ogre::RotationAffector::RotationAffector(), and Ogre::ScaleAffector::ScaleAffector().

const ParamCommand* Ogre::ParamDictionary::getParamCommand | ( | const String & | name | ) | const`[protected]`

| Definition at line 100 of file OgreStringInterface.h. References Ogre::String.

ParamCommand* Ogre::ParamDictionary::getParamCommand | ( | const String & | name | ) | `[protected]`

| Retrieves the parameter command object for a named parameter. Definition at line 87 of file OgreStringInterface.h. References Ogre::String. Referenced by Ogre::StringInterface::getParameter(), and Ogre::StringInterface::setParameter().

const ParameterList& Ogre::ParamDictionary::getParameters | ( | void |  | ) | const

Retrieves a list of parameters valid for this object.

Returns:
  A reference to a static list of ParameterDef objects.

Definition at line 130 of file OgreStringInterface.h.

References Ogre::ParameterList.

Referenced by Ogre::StringInterface::getParameters().

## Friends And Related Function Documentation

friend class StringInterface`[friend]`

| Definition at line 78 of file OgreStringInterface.h.

## Member Data Documentation

ParamCommandMap Ogre::ParamDictionary::mParamCommands`[protected]`

| Command objects to get/set. Definition at line 84 of file OgreStringInterface.h.

ParameterList Ogre::ParamDictionary::mParamDefs`[protected]`

| Definitions of parameters. Definition at line 81 of file OgreStringInterface.h. Referenced by Ogre::StringInterface::copyParametersTo().

The documentation for this class was generated from the following file:

- OgreStringInterface.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:40 2004